<?php
/**
 * Theme functions and definitions
 *
 * @package Gutener Consultancy
 */

require get_stylesheet_directory() . '/inc/customizer/customizer.php';
require get_stylesheet_directory() . '/inc/customizer/loader.php';

if ( ! function_exists( 'gutener_consultancy_enqueue_styles' ) ) :
	/**
	 * @since Gutener Consultancy 1.0.0
	 */
	function gutener_consultancy_enqueue_styles() {
		wp_enqueue_style( 'gutener-consultancy-style-parent', get_template_directory_uri() . '/style.css' );
	}

endif;
add_action( 'wp_enqueue_scripts', 'gutener_consultancy_enqueue_styles', 1 );

function gutener_consultancy_body_classes( $classes ) {
	if ( get_theme_mod( 'sidebar_settings', 'right' ) == 'no-sidebar' ){
		$classes[] = 'content-no-sidebar';
	}
	
	if( get_theme_mod( 'site_layout', 'box' ) == 'default' ){
		$classes[] = 'site-layout-default';
	}else if( get_theme_mod( 'site_layout', 'box' ) == 'box' ){
		$classes[] = 'site-layout-box';
	}else if( get_theme_mod( 'site_layout', 'box' ) == 'frame' ){
		$classes[] = 'site-layout-frame';
	}else if( get_theme_mod( 'site_layout', 'box' ) == 'full' ){
		$classes[] = 'site-layout-full';
	}else if( get_theme_mod( 'site_layout', 'box' ) == 'compact' ){
		$classes[] = 'site-layout-compact';
	}

	return $classes;
}
add_filter( 'body_class', 'gutener_consultancy_body_classes' );

function gutener_consultancy_setup() {
	remove_theme_support( 'custom-background' );
}
add_action( 'after_setup_theme', 'gutener_consultancy_setup', 99 );
